- Home
- API Enriched
- Tenant And Identity
- scim
- List group based on ID.
List group based on ID.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Groups/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Groups/example \ --header 'Authorization: <Authorization>'List group based on the given ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID x-required ID with which the request will find entry.
Query Parameters
Section titled “Query Parameters”Members”]” A multi-valued list of strings indicating the names of resource attributes to be removed from the default set of attributes to return.
Responses
Section titled “Responses”A successful response.
Group.
object
Display name for the group.
External ID for the group.
Unique ID for the group.
Users with unique ID.
GroupMembers.
object
URL of the users or groups.
Unique ID of the users or groups.
object
Create date. Required: YES.
Last modification date and time. Required: YES.
[x-required] location for resource.
Type of resource. Required: YES.
Version for resource type. Required: YES.
Display name for the group.
Schemas per scim spec.
Examplegenerated
{ "displayName": "example", "externalId": "example", "id": "example", "members": [ { "ref": "example", "value": "example" } ], "meta": { "created": "example", "lastModified": "example", "location": "example", "resourceType": "example", "version": "example" }, "name": "example", "schemas": [ "example" ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example